Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class ToolGroupImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.codegen.gmfgen.impl.EntryBaseImpl
                      org.eclipse.gmf.codegen.gmfgen.impl.ToolGroupImpl

All Implemented Interfaces:
  EntryBase, EObject, InternalEObject, Notifier, ToolGroup, ToolGroupItem

public class ToolGroupImpl
extends EntryBaseImpl
implements ToolGroup

An implementation of the model object 'Tool Group'.

The following features are implemented:

- `Stack`
- `Collapse`
- `Entries`
- `Tools Only`

** Generated **

Nested Class Summary

Nested classes inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList`

Nested classes inherited from class org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected boolean` `collapse` The cached value of the '`Collapse`' attribute
`protected static boolean` `COLLAPSE_EDEFAULT` The default value of the '`Collapse`' attribute
`protected EList` `entries` The cached value of the '`Entries`' containment reference list
`protected boolean` `stack` The cached value of the '`Stack`' attribute
`protected static boolean` `STACK_EDEFAULT` The default value of the '`Stack`' attribute
`protected static boolean` `TOOLS_ONLY_EDEFAULT` The default value of the '`Tools Only`' attribute

Fields inherited from class org.eclipse.gmf.codegen.gmfgen.impl.EntryBaseImpl
`CREATE_METHOD_NAME_EDEFAULT, createMethodName, description, DESCRIPTION_EDEFAULT, LARGE_ICON_PATH_EDEFAULT, largeIconPath, SMALL_ICON_PATH_EDEFAULT, smallIconPath, title, TITLE_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `ToolGroupImpl()`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.String` `getCreateMethodName()` Returns the value of the 'Create Method Name' attribute
`EList` `getEntries()`
`boolean` `isCollapse()`
`boolean` `isStack()`
`boolean` `isToolsOnly()`
`void` `setCollapse(boolean newCollapse)`
`void` `setStack(boolean newStack)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.gmf.codegen.gmfgen.impl.EntryBaseImpl
`getCreateMethodNameGen, getDescription, getEntryID, getLargeIconPath, getSmallIconPath, getTitle, setCreateMethodName, setDescription, setLargeIconPath, setSmallIconPath, setTitle`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.EntryBase
`getDescription, getLargeIconPath, getSmallIconPath, getTitle, setCreateMethodName, setDescription, setLargeIconPath, setSmallIconPath, setTitle`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### STACK_EDEFAULT

    protected static final boolean STACK_EDEFAULT

  The default value of the '`Stack`' attribute.

  See Also:
    `ToolGroupImpl.isStack()`, Constant Field Values
  ** Generated **
  Ordered:

### stack

    protected boolean stack

  The cached value of the '`Stack`' attribute.

  See Also:
    `ToolGroupImpl.isStack()`
  ** Generated **
  Ordered:

### COLLAPSE_EDEFAULT

    protected static final boolean COLLAPSE_EDEFAULT

  The default value of the '`Collapse`' attribute.

  See Also:
    `ToolGroupImpl.isCollapse()`, Constant Field Values
  ** Generated **
  Ordered:

### collapse

    protected boolean collapse

  The cached value of the '`Collapse`' attribute.

  See Also:
    `ToolGroupImpl.isCollapse()`
  ** Generated **
  Ordered:

### entries

    protected EList entries

  The cached value of the '`Entries`' containment reference list.

  See Also:
    `ToolGroupImpl.getEntries()`
  ** Generated **
  Ordered:

### TOOLS_ONLY_EDEFAULT

    protected static final boolean TOOLS_ONLY_EDEFAULT

  The default value of the '`Tools Only`' attribute.

  See Also:
    `ToolGroupImpl.isToolsOnly()`, Constant Field Values
  ** Generated **
  Ordered:

Constructor Detail

### ToolGroupImpl

    protected ToolGroupImpl()

** Generated **

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `EntryBaseImpl`
  ** Generated **

### getEntries

    public EList getEntries()

  Specified by:
    `getEntries` in interface `ToolGroup`
  Returns:
    the value of the 'Entries' containment reference list.
  See Also:
    `GMFGenPackage.getToolGroup_Entries()`
  ** Generated **

### isToolsOnly

    public boolean isToolsOnly()

  Specified by:
    `isToolsOnly` in interface `ToolGroup`
  Returns:
    the value of the 'Tools Only' attribute.
  See Also:
    `GMFGenPackage.getToolGroup_ToolsOnly()`
  ** Generated **
    NOT

### isStack

    public boolean isStack()

  Specified by:
    `isStack` in interface `ToolGroup`
  Returns:
    the value of the 'Stack' attribute.
  See Also:
    `ToolGroup.setStack(boolean)`, `GMFGenPackage.getToolGroup_Stack()`
  ** Generated **

### setStack

    public void setStack(boolean newStack)

  Specified by:
    `setStack` in interface `ToolGroup`
  Parameters:
    `newStack` - the new value of the 'Stack' attribute.
  See Also:
    `ToolGroup.isStack()`
  ** Generated **

### isCollapse

    public boolean isCollapse()

  Specified by:
    `isCollapse` in interface `ToolGroup`
  Returns:
    the value of the 'Collapse' attribute.
  See Also:
    `ToolGroup.setCollapse(boolean)`, `GMFGenPackage.getToolGroup_Collapse()`
  ** Generated **

### setCollapse

    public void setCollapse(boolean newCollapse)

  Specified by:
    `setCollapse` in interface `ToolGroup`
  Parameters:
    `newCollapse` - the new value of the 'Collapse' attribute.
  See Also:
    `ToolGroup.isCollapse()`
  ** Generated **

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `EntryBaseImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `EntryBaseImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `EntryBaseImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `EntryBaseImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `EntryBaseImpl`
  ** Generated **

### getCreateMethodName

    public java.lang.String getCreateMethodName()

  Description copied from interface: `EntryBase`
  Returns the value of the 'Create Method Name' attribute.

  If the meaning of the 'Create Method Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getCreateMethodName` in interface `EntryBase`
  Returns:
    the value of the 'Create Method Name' attribute.
  See Also:
    `EntryBase.setCreateMethodName(String)`, `GMFGenPackage.getEntryBase_CreateMethodName()`

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.